How do I download and install the Nexus IQ Server?

You should have already received an email containing the necessary information to unlock all the Nexus IQ Server features you have purchased. If you have not received this, please contact your Sales executive directly, or send an email to support@sonatype.com.

Depending on your purchase, you may need to install additional tools such as Nexus IQ for Bamboo or Nexus IQ for Hudson/Jenkins or others. No matter what was purchased, you will need to download and install Nexus IQ Server first.

Use the chart below to access the specific files you need, as well as the corresponding documentation.  If you would like to see a description of the latest features, as well as those for a specific release, view our latest Release Notes

Finally, to access/download the documentation for these products, please review our Nexus IQ Server Documentation page.

Note: The rebranding and renaming of Sonatype CLM to Nexus IQ Server started with the 1.17 release and continues with subsequent releases. While you may occasionally see Sonatype CLM in the product or documentation, we believe this change adds clarity to the symbiotic relationship between Nexus Repository Manager and Nexus IQ Server. We also realize this may cause some confusion, and appreciate your patience as we move forward.

IQ Server Downloads

Sonatype Application Latest Version Link for Download
IQ Server 1.24.0

nexus-iq-server-1.24.0-02-bundle.tar.gz (ASCMD5SHA1)

nexus-iq-server-1.24.0-02-bundle.zip (ASCMD5SHA1)

Repository Manager 2.14.1

nexus-professional-bundle-latest.tar.gz  (ASCMD5SHA1)


nexus-professional-bundle-latest.zip (ASCMD5SHA1)

Bamboo 1.2.1 nexus-iq-bamboo-plugin-1.2.1-01.obr (ASCMD5SHA1)
Hudson / Jenkins 2.16.1 nexus-iq-jenkins-plugin-2.16.1-01.hpi (ASCMD5SHA1)
Eclipse 2.11.0

Eclipse Update Site:

 

https://download.sonatype.com/clm/eclipse/releases

 

Note: This link is not directly browsable, enter it into the list of update sites in Eclipse under "Help - Preferences - Install/Update - Available Software Update Sites.

Note 2: If you need an offline copy of this site, see here for mirroring instructions.

Note 3: IBM Rational Application Developer(RAD) is not tested, but should work. Note that the plugin requires Eclipse 3.6 and greater, RAD versions based on Eclipse older than this will not work.

SonarQube 1.0.4 sonatype-clm-sonarqube-1.0.4.jar (ASCMD5SHA1)
CLI 1.24.0 nexus-iq-cli-1.24.0-02.jar (ASCMD5SHA1)
Maven 2.5.1-01 This plugin is automatically downloaded when invoked. 
IDEA 1.0.2 nexus-iq-idea-plugin-1.0.2-02.zip (ASCMD5SHA1)

 

Nexus IQ Compatibility Matrix

Note: The Nexus IQ server may be marked as compatible with older client integrations however some newer server features may not work unless the latest version of the client integration tool is used.

  Nexus IQ Server

Nexus Repository Manager 1.22.x 1.23.x 1.24.x
2.10.x (error) (error) (error)
2.11.x (error) (error) (error)
2.12.x (thumbs up) (thumbs up) (thumbs up)
2.13.x (thumbs up) (thumbs up) (thumbs up)
2.14.x (thumbs up)   (thumbs up) (thumbs up)
Bamboo      
1.0.x (thumbs up) (thumbs up) (thumbs up)
1.1.x (thumbs up) (thumbs up) (thumbs up)
1.2.x (thumbs up)  (thumbs up)  (thumbs up)
Hudson / Jenkins      
2.12.x (thumbs up) (thumbs up) (thumbs up)
2.13.x (thumbs up) (thumbs up) (thumbs up)
2.14.x (thumbs up) (thumbs up) (thumbs up)
2.15.x (thumbs up) (thumbs up) (thumbs up)
2.16.x (thumbs up) (thumbs up)  (thumbs up)
Eclipse      
2.7.x (thumbs up) (thumbs up) (thumbs up)
2.8.x (thumbs up) (thumbs up) (thumbs up)
2.9.x (thumbs up) (thumbs up) (thumbs up)
2.10.x (thumbs up) (thumbs up) (thumbs up)
Maven      
2.2.x (thumbs up) (thumbs up) (thumbs up)
2.3.x (thumbs up) (thumbs up) (thumbs up)
2.4.x (thumbs up) (thumbs up) (thumbs up)
2.5.x (thumbs up)  (thumbs up) (thumbs up)
SonarQube      
1.0.x (thumbs up) (thumbs up) (thumbs up)
IDEA      
 1.0.x (thumbs up) (thumbs up)  (thumbs up) 
 
In general, Sonatype provides support for the current release of Nexus IQ Server and up to two previous, major releases. If you are using an older version of Nexus IQ Server, or any of the associated integrations, and wish to upgrade to the latest version please contact our Support Team.
Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk